Public Class frmDateDiff

    Private Sub btnDaysDiff_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnDaysDiff.Click

        Dim dtmDate1 As Date
        Dim dtmDate2 As Date
        Dim intDays As Integer

        If Not IsDate(txtDate1.Text) Then
            MsgBox("Please enter a valid date for Date 1.", _
                   MsgBoxStyle.Exclamation, _
                   "Date Rented")
            txtDate1.Focus()
            Exit Sub
        End If

        If Not IsDate(txtDate2.Text) Then
            MsgBox("Please enter a valid date for Date 2.", _
                   MsgBoxStyle.Exclamation, _
                   "Date Returned")
            txtDate2.Focus()
            Exit Sub
        End If

        dtmDate1 = CDate(txtDate1.Text)
        dtmDate2 = CDate(txtDate2.Text)
        intDays = DateDiff(DateInterval.Day, dtmDate1, dtmDate2)
        lblDaysDiff.Text = CStr(intDays)

    End Sub

    Private Sub txtDate1_GotFocus(ByVal sender As Object, ByVal e As System.EventArgs) Handles txtDate1.GotFocus
        txtDate1.SelectAll()
    End Sub

    Private Sub txtDate1_KeyPress(ByVal sender As Object, ByVal e As System.Windows.Forms.KeyPressEventArgs) Handles txtDate1.KeyPress
        e.Handled = Not (Char.IsDigit(e.KeyChar) Or Asc(e.KeyChar) < 32 Or e.KeyChar = "/")
    End Sub

    Private Sub txtDate2_GotFocus(ByVal sender As Object, ByVal e As System.EventArgs) Handles txtDate2.GotFocus
        txtDate2.SelectAll()
    End Sub

    Private Sub txtDate2_KeyPress(ByVal sender As Object, ByVal e As System.Windows.Forms.KeyPressEventArgs) Handles txtDate2.KeyPress
        e.Handled = Not (Char.IsDigit(e.KeyChar) Or Asc(e.KeyChar) < 32 Or e.KeyChar = "/")
    End Sub

End Class
